MINTPY-TROPO_PYAPS3(1)

NAME
mintpy-tropo_pyaps3 - Tropospheric correction using weather models

DESCRIPTION
usage: tropo_pyaps3.py [-h] [-f DIS_FILE] [-d [DATE_LIST ...]] [--hour HOUR]

[-o COR_DIS_FILE] [-m {ERA5}] [--delay {wet,dry,comb}]
    [-w WEATHER_DIR] [-g GEOM_FILE] [--custom-height CUSTOM_HEIGHT] [--tropo-file TROPO_FILE] [--verbose]

Tropospheric correction using weather models

    PyAPS is used to download and calculate the delay for each acquisition.

  options:

-h, --help
    show this help message and exit

-f DIS_FILE, --file DIS_FILE
    timeseries HDF5 file, i.e. timeseries.h5

-d [DATE_LIST ...], --date-list [DATE_LIST ...]
    List of dates in YYYYMMDD or YYMMDD format. It can be: a) list of strings in YYYYMMDD or YYMMDD format OR b) a text file with the first column as list of date in YYYYMMDD or YYMMDD format OR c) a text file with Sentinel-1 SAFE filenames e.g.: SAFE_files.txt:

/data/SanAndreasSenDT42/SLC/S1B_IW_SLC__1SDV_20191117T140737_20191117T140804_018968_023C8C_82DC.zip
    /data/SanAndreasSenDT42/SLC/S1A_IW_SLC__1SDV_20191111T140819_20191111T140846_029864_036803_69CA.zip ...

--hour HOUR
    time of data in HH, e.g. 12, 06

-o COR_DIS_FILE
    Output file name for trospheric corrected timeseries.

  delay calculation:

-m {ERA5}, --model {ERA5}, -s {ERA5}
    source of the atmospheric model (default: ERA5).

--delay {wet,dry,comb}
    Delay type to calculate, comb contains both wet and dry delays (default: comb).

-w WEATHER_DIR, --dir WEATHER_DIR, --weather-dir WEATHER_DIR
    parent directory of downloaded weather data file (default: ${WEATHER_DIR}). e.g.: --weather-dir ~/data/aux atmosphere/

/ERA5
    ERA5_N20_N40_E120_E140_20060624_14.grb ERA5_N20_N40_E120_E140_20060924_14.grb ...

/MERRA
    merra-20110126-06.nc4 merra-20110313-06.nc4 ...

-g GEOM_FILE, --geomtry GEOM_FILE
    geometry file including height, incidenceAngle and/or latitude and longitude

--custom-height CUSTOM_HEIGHT
    [for testing] specify a custom height value for delay calculation.

--tropo-file TROPO_FILE
    tropospheric delay file name

--verbose
    Verbose message.

  reference:

    Jolivet, R., R. Grandin, C. Lasserre, M.-P. Doin and G. Peltzer (2011), Systematic InSAR tropospheric phase delay corrections from global meteorological reanalysis data, Geophys. Res. Lett., 38, L17311, doi:10.1029/2011GL048757

    Jolivet, R., P. S. Agram, N. Y. Lin, M. Simons, M. P. Doin, G. Peltzer, and Z. Li (2014), Improving InSAR geodesy using global atmospheric models, Journal of Geophysical Research: Solid Earth, 119(3), 2324-2341, doi:10.1002/2013JB010588.

    # ERA5 Hersbach, H., Bell, B., Berrisford, P., Hirahara, S., Hor??nyi, A., Mu??oz-Sabater, J., et al. (2020). The ERA5 global reanalysis. Quarterly Journal of the Royal Meteorological Society, 146(730), 1999???2049. https://doi.org/10.1002/qj.3803

  Global Atmospheric Models:

re-analysis_dataset
    coverage temp_resolution spatial_resolution latency assimilation

ERA5(T)
    (ECMWF) global hourly 0.25 deg (~31 km) 3 months (5 days) 4D-Var

ERA-Int
    (ECMWF) global 6-hourly 0.75 deg (~79 km) 2 months 4D-Var

MERRA(2) (NASA Goddard)
    global 6-hourly 0.5*0.625 (~50 km) 2-3 weeks 3D-Var

NARR
    (NOAA, working from Jan 1979 to Oct 2014)

  Notes for data access:

    For MERRA2, you need an Earthdata account, and pre-authorize the "NASA GESDISC DATA ARCHIVE" application

    following https://disc.gsfc.nasa.gov/earthdata-login.

    For ERA5 from CDS, you need to agree to the Terms of Use of every datasets that you intend to download.

  example:

    # download datasets, calculate tropospheric delays and correct time-series file. tropo_pyaps3.py -f timeseries.h5 -g inputs/geometryRadar.h5 tropo_pyaps3.py -f filt_fine.unw -g ../../../mintpy/inputs/geometryRadar.h5

    # download datasets, calculate tropospheric delays tropo_pyaps3.py -d date.list --hour 12 -m ERA5 -g inputs/geometryGeo.h5 tropo_pyaps3.py -d 20151002 20151003 --hour 12 -m MERRA -g inputs/geometryRadar.h5

    # download datasets (covering the whole world) tropo_pyaps3.py -d date.list --hour 12 tropo_pyaps3.py -d SAFE_files.txt # download datasets (covering the area of interest) tropo_pyaps3.py -d SAFE_files.txt -g inputs/geometryRadar.h5